/* /Components/Layout/MainLayout.razor.rz.scp.css */
[b-gjhe9t57wh] {
	.organization-select {
		color: var(--mud-palette-appbar-text);
		.mud-input,
		.mud-shrink~label.mud-input-label.mud-input-label-inputcontrol,
		.mud-icon-default {
			color: var(--mud-palette-appbar-text);
		}
	}
}

@media(hover: hover)and (pointer: fine) {
	[b-gjhe9t57wh] {
		.organization-select {
			.mud-input.mud-input-underline:hover:not(.mud-disabled):before {
				border-bottom: 1px solid var(--mud-palette-overlay-light);
			}
		}
	}
}
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-al4zh8um5q],
.components-reconnect-repeated-attempt-visible[b-al4zh8um5q],
.components-reconnect-failed-visible[b-al4zh8um5q],
.components-pause-visible[b-al4zh8um5q],
.components-resume-failed-visible[b-al4zh8um5q],
.components-rejoining-animation[b-al4zh8um5q] {
	display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-al4zh8um5q],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-al4zh8um5q],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-al4zh8um5q],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-al4zh8um5q],
#components-reconnect-modal.components-reconnect-retrying[b-al4zh8um5q],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-al4zh8um5q],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-al4zh8um5q],
#components-reconnect-modal.components-reconnect-failed[b-al4zh8um5q],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-al4zh8um5q] {
	display: block;
}


#components-reconnect-modal[b-al4zh8um5q] {
	background-color: white;
	width: 20rem;
	margin: 20vh auto;
	padding: 2rem;
	border: 0;
	border-radius: 0.5rem;
	box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
	opacity: 0;
	transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
	animation: components-reconnect-modal-fadeOutOpacity-b-al4zh8um5q 0.5s both;
	&[open]

	{
		animation: components-reconnect-modal-slideUp-b-al4zh8um5q 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-al4zh8um5q 0.5s ease-in-out 0.3s;
		animation-fill-mode: both;
	}

}

#components-reconnect-modal[b-al4zh8um5q]::backdrop {
	background-color: rgba(0, 0, 0, 0.4);
	animation: components-reconnect-modal-fadeInOpacity-b-al4zh8um5q 0.5s ease-in-out;
	opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-al4zh8um5q {
	0% {
		transform: translateY(30px) scale(0.95);
	}

	100% {
		transform: translateY(0);
	}
}

@keyframes components-reconnect-modal-fadeInOpacity-b-al4zh8um5q {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-al4zh8um5q {
	0% {
		opacity: 1;
	}

	100% {
		opacity: 0;
	}
}

.components-reconnect-container[b-al4zh8um5q] {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 1rem;
}

#components-reconnect-modal p[b-al4zh8um5q] {
	margin: 0;
	text-align: center;
}

#components-reconnect-modal button[b-al4zh8um5q] {
	border: 0;
	background-color: #6b9ed2;
	color: white;
	padding: 4px 24px;
	border-radius: 4px;
}

#components-reconnect-modal button:hover[b-al4zh8um5q] {
	background-color: #3b6ea2;
}

#components-reconnect-modal button:active[b-al4zh8um5q] {
	background-color: #6b9ed2;
}

.components-rejoining-animation[b-al4zh8um5q] {
	position: relative;
	width: 80px;
	height: 80px;
}

.components-rejoining-animation div[b-al4zh8um5q] {
	position: absolute;
	border: 3px solid #0087ff;
	opacity: 1;
	border-radius: 50%;
	animation: components-rejoining-animation-b-al4zh8um5q 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.components-rejoining-animation div:nth-child(2)[b-al4zh8um5q] {
	animation-delay: -0.5s;
}

@keyframes components-rejoining-animation-b-al4zh8um5q {
	0% {
		top: 40px;
		left: 40px;
		width: 0;
		height: 0;
		opacity: 0;
	}

	4.9% {
		top: 40px;
		left: 40px;
		width: 0;
		height: 0;
		opacity: 0;
	}

	5% {
		top: 40px;
		left: 40px;
		width: 0;
		height: 0;
		opacity: 1;
	}

	100% {
		top: 0px;
		left: 0px;
		width: 80px;
		height: 80px;
		opacity: 0;
	}
}
/* /Components/Pages/Chat/Detail.razor.rz.scp.css */
[b-b91dso5in3] {
	.mudx-chat-bubble .mud-markdown-body p {
		margin-bottom: 0;
	}
}
